X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I just upgraded to get a notice that my mac os is not supported. How do I go back to my old firefox?

Posted

I will never upgrade again. I downloaded a newer version of fetch and that is when my trouble started. It is was not compatible with my firefox and told me I had to upgrade firefox. So I did. Now I got a message saying Firefox no no longer supports system MAC OS X.5. I am running Mac X.5.8, but do not remember what version of firefox I was running that worked fine, by the way. How do I get back to the highest version of firefox that is compatible with mac os system 10.5.8?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 10.1 r102
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:16.0) Gecko/20100101 Firefox/16.0

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10753 solutions 96760 answers

Firefox 16 versions still work with your OS X 10.5 operating system, but that is the last version that will work.
Firefox 17 will require OS X 10.6 and later.

You can see the Firefox 17 (currently in beta) system requirements here: http://www.mozilla.org/en-US/firefox/17.0/system-requirements/